@import "../../styles/variables/variables";
@import "../../styles/mixins/mixins";

tab-area {
  background: #fff;
  width: 100%;
  @include shadow();
}

form {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: space-between;
  flex-direction: column;
}

label {
  display: block;
  color: $color--gray-dark-1;
}

.result-list-container {
}

.searchresultspinner-area {
  margin-top: 0.5em;
  margin-bottom: 1em;
  font-size: 14px;
}

.searchresultbackenderror-area fa-icon{
  margin-top: 0.5em;
  margin-bottom: 1em;
  font-size: 3.5em;
}

.searchresultbackenderror-area span.errortext {
  font-size: 14px;
  color: red;
}

:host ::ng-deep .education-spinner circle{
  stroke: $color--gray-dark-1;
}

// Force scrollbar to show in Mac - begin
::-webkit-scrollbar {
  -webkit-appearance: none;
  width: 7px;
}

::-webkit-scrollbar-thumb {
  border-radius: 4px;
  background-color: rgba(0, 0, 0, .5);
  box-shadow: 0 0 1px rgba(255, 255, 255, .5);
}
// Force scrollbar to show in Mac - end

.result-list-items-container {
  // Note: Height is also set in the component with Typescript.
  height:100vh;
  overflow: auto;
  padding-bottom: 4em;

  .card-item {
    background: #f8f8f8;
    color: black;
    margin: 10px;
  }
}

.info-bubble-text {
  color: #1616b2;
  cursor: pointer;
}

.info-circle {
  color: #13769d;
  font-size: 19px;
  margin-left: 8px;
  margin-right: 2px;
  position: relative;
  bottom: -2px;
  cursor: pointer;
  height: 21px;
}

h3 {
  .info-circle {
    bottom: 2px;
  }
}

.mat-mdc-tooltip {
  max-width: 540px !important;
}

.result-info {
  font-size: 20px;
  margin-bottom: 5px;

  .info-type {
    font-size: 14px;
    margin-right: 10px;
    &__label {
      font-weight: 700;
    }
  }

  .result-info {
    &__value {
    }
  }

  .result-info-wrapper {
    display: flex;
    flex-wrap: wrap;
  }
}

button.selected-education {
  background-color: $color--primary-bg;
  color: #fff;
}


.result-list-item {
  cursor: pointer;
  background: #fff;
  border-style: none;
  width: 100%;

  @include shadow();
  .top {
    width: 100%;
    display: flex;
    align-items: center;
    padding: 15px;/*20px*/

    .group-2 {
      .education__icon {
        width: 50px;
        height: 50px;
      }
    }

    .result {
      &__name {
        margin: 0;
        font-size: 12px;
        padding-left: 15px;
      }
      &__web {
        font-weight: 600;
        color: $color--sky-blue;
        padding-left: 15px;
      }
    }
  }
}
